Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class DOMDocumentTree.TreeDragSource

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMDocumentTree.TreeDragSource

All Implemented Interfaces:
  DragGestureListener, DragSourceListener, EventListener

Enclosing class:
  DOMDocumentTree

    public class DOMDocumentTree.TreeDragSource

extends Object
implements DragSourceListener, DragGestureListener

The JTree drag source wrapper.

Field Summary
`protected DragGestureRecognizer` | `recognizer` The drag gesture recognizer.
`protected DragSource` | `source` The drag source.
`protected DOMDocumentTree` | `sourceTree` The sourceTree.
`protected DOMDocumentTree.TransferableTreeNode` | `transferable` The transferable tree node(s).

Constructor Summary
`DOMDocumentTree.TreeDragSource(DOMDocumentTree tree, int actions)` Constructor.

Method Summary
`void` | `dragDropEnd(DragSourceDropEvent dsde)`
`void` | `dragEnter(DragSourceDragEvent dsde)`
`void` | `dragExit(DragSourceEvent dse)`
`void` | `dragGestureRecognized(DragGestureEvent dge)`
`void` | `dragOver(DragSourceDragEvent dsde)`
`void` | `dropActionChanged(DragSourceDragEvent dsde)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected DragSource source

  The drag source.

### recognizer

    protected DragGestureRecognizer recognizer

  The drag gesture recognizer.

### transferable

    protected DOMDocumentTree.TransferableTreeNode transferable

  The transferable tree node(s).

### sourceTree

    protected DOMDocumentTree sourceTree

  The sourceTree.

Constructor Detail

### DOMDocumentTree.TreeDragSource

    public DOMDocumentTree.TreeDragSource(DOMDocumentTree tree,
                                          int actions)

  Constructor.

  Parameters:
    `tree` - The source tree
    `actions` - The permitted action

Method Detail

### dragGestureRecognized

    public void dragGestureRecognized(DragGestureEvent dge)

  Specified by:
    `dragGestureRecognized` in interface `DragGestureListener`

### dragEnter

    public void dragEnter(DragSourceDragEvent dsde)

  Specified by:
    `dragEnter` in interface `DragSourceListener`

### dragExit

    public void dragExit(DragSourceEvent dse)

  Specified by:
    `dragExit` in interface `DragSourceListener`

### dragOver

    public void dragOver(DragSourceDragEvent dsde)

  Specified by:
    `dragOver` in interface `DragSourceListener`

### dropActionChanged

    public void dropActionChanged(DragSourceDragEvent dsde)

  Specified by:
    `dropActionChanged` in interface `DragSourceListener`

### dragDropEnd

    public void dragDropEnd(DragSourceDropEvent dsde)

  Specified by:
    `dragDropEnd` in interface `DragSourceListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.